# NWOS: Python Library for Prime and Composite Number Checking

The `nwos` library is a powerful and easy-to-use Python package designed to work with **prime** and **composite** numbers. It provides efficient algorithms to check whether individual numbers are prime or composite and can also handle batch operations for lists of numbers.

## Table of Contents
- [Installation](#installation)
- [Features](#features)
- [Usage](#usage)
  - [Checking a Single Number](#example-1-checking-a-single-number)
  - [Checking Composite Numbers](#example-2-checking-if-a-number-is-composite)
  - [Checking a List of Numbers](#example-3-checking-a-list-of-numbers)
- [Handling Errors](#handling-errors)
- [Contributing](#contributing)
- [License](#license)

## Installation

You can easily install `nwos` using pip from the Python Package Index (PyPI):

```bash
pip install nwos
